/* 
 * 
 * Copyright (c) 2001 Csar Blecua Udas    All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * CESAR BLECUA UDIAS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 * OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 */

#ifndef __auto_gl2glaf_h__
#define __auto_gl2glaf_h__

/*texture objects*/
#define glGenTextures                   if( glaf_IsTextureObjectsSupported() ) glaf_GenTextures
#define glDeleteTextures                if( glaf_IsTextureObjectsSupported() ) glaf_DeleteTextures
#define glIsTexture                     if( glaf_IsTextureObjectsSupported() ) glaf_IsTexture
#define glBindTexture                   if( glaf_IsTextureObjectsSupported() ) glaf_BindTexture
#define glAreTexturesResident           if( glaf_IsTextureObjectsSupported() ) glaf_AreTexturesResident
#define glPrioritizeTextures            if( glaf_IsTextureObjectsSupported() ) glaf_PrioritizeTextures

/*subtexture*/
#define glTexSubImage1D                 if( glaf_IsSubTextureSupported() ) glaf_TexSubImage1D
#define glTexSubImage2D                 if( glaf_IsSubTextureSupported() ) glaf_TexSubImage2D

/*copy texture*/
#define glCopyTexImage1D                glaf_CopyTexImage1D
#define glCopyTexImage2D                glaf_CopyTexImage2D
#define glCopyTexSubImage1D             if( glaf_IsCopySubTextureSupported() ) glaf_CopyTexSubImage1D
#define glCopyTexSubImage2D             if( glaf_IsCopySubTextureSupported() ) glaf_CopyTexSubImage2D

/*blending extensions*/
#define glBlendColor                    if( glaf_IsBlendColorSupported() ) glaf_BlendColor
#define glBlendEquation                 if( glaf_IsBlendMinMaxSupported() || glaf_IsBlendSubtractSupported() ) glaf_BlendEquation

/*polygon offset*/
#define glPolygonOffset                 if( glaf_IsPolygonOffsetSupported() ) glaf_PolygonOffset

/*convolution*/
#define glConvolutionFilter1D           if( glaf_IsConvolutionSupported() ) glaf_ConvolutionFilter1D
#define glConvolutionFilter2D           if( glaf_IsConvolutionSupported() ) glaf_ConvolutionFilter2D
#define glConvolutionParameterf         if( glaf_IsConvolutionSupported() ) glaf_ConvolutionParameterf
#define glConvolutionParameterfv        if( glaf_IsConvolutionSupported() ) glaf_ConvolutionParameterfv
#define glConvolutionParameteri         if( glaf_IsConvolutionSupported() ) glaf_ConvolutionParameteri
#define glConvolutionParameteriv        if( glaf_IsConvolutionSupported() ) glaf_ConvolutionParameteriv
#define glCopyConvolutionFilter1D       if( glaf_IsConvolutionSupported() ) glaf_CopyConvolutionFilter1D
#define glCopyConvolutionFilter2D       if( glaf_IsConvolutionSupported() ) glaf_CopyConvolutionFilter2D
#define glGetConvolutionFilter          if( glaf_IsConvolutionSupported() ) glaf_GetConvolutionFilter
#define glGetConvolutionParameterfv     if( glaf_IsConvolutionSupported() ) glaf_GetConvolutionParameterfv
#define glGetConvolutionParameteriv     if( glaf_IsConvolutionSupported() ) glaf_GetConvolutionParameteriv
#define glSeparableFilter2D             if( glaf_IsConvolutionSupported() ) glaf_SeparableFilter2D
#define glGetSeparableFilter            if( glaf_IsConvolutionSupported() ) glaf_GetSeparableFilter

/*histogram*/
#define glHistogram                     if( glaf_IsHistogramSupported() ) glaf_Histogram
#define glResetHistogram                if( glaf_IsHistogramSupported() ) glaf_ResetHistogram
#define glGetHistogram                  if( glaf_IsHistogramSupported() ) glaf_GetHistogram
#define glGetHistogramParameterfv       if( glaf_IsHistogramSupported() ) glaf_GetHistogramParameterfv
#define glGetHistogramParameteriv       if( glaf_IsHistogramSupported() ) glaf_GetHistogramParameteriv
#define glMinmax                        if( glaf_IsHistogramSupported() ) glaf_Minmax
#define glResetMinmax                   if( glaf_IsHistogramSupported() ) glaf_ResetMinmax
#define glGetMinmax                     if( glaf_IsHistogramSupported() ) glaf_GetMinmax
#define glGetMinmaxParameterfv          if( glaf_IsHistogramSupported() ) glaf_GetMinmaxParameterfv
#define glGetMinmaxParameteriv          if( glaf_IsHistogramSupported() ) glaf_GetMinmaxParameteriv

/*color table*/
#define glColorTable                    if( glaf_IsColorTableSupported() ) glaf_ColorTable
#define glColorTableParameteriv         if( glaf_IsColorTableSupported() ) glaf_ColorTableParameteriv
#define glColorTableParameterfv         if( glaf_IsColorTableSupported() ) glaf_ColorTableParameterfv
#define glCopyColorTable                if( glaf_IsColorTableSupported() ) glaf_CopyColorTable
#define glGetColorTable                 if( glaf_IsColorTableSupported() ) glaf_GetColorTable
#define glGetColorTableParameterfv      if( glaf_IsColorTableSupported() ) glaf_GetColorTableParameterfv
#define glGetColorTableParameteriv      if( glaf_IsColorTableSupported() ) glaf_GetColorTableParameteriv

/*color subtable*/
#define glColorSubTable                 if( glaf_IsColorSubTableSupported() ) glaf_ColorSubTable
#define glCopyColorSubTable             if( glaf_IsColorSubTableSupported() ) glaf_CopyColorSubTable


#endif			/* __auto_gl2glaf_h__ */
