/* 
 * 
 * Copyright (c) 2001 Csar Blecua Udas    All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * CESAR BLECUA UDIAS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 * OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 */



/* Headers */
#include "public.h"


GLboolean	glaf_IsColorSubTableSupported(void)
	{
	/*It returns GL_TRUE if color subtable is supported, or GL_FALSE otherwise.
	
	  The use of color subtable is exactly the same as the GL_ARB_imaging color subtable extension, or the 
	  GL_EXT_color_subtable extension.
	  
	  GLAF functions for the color subtable feature (use the same as GL_ARB_imaging or GL_EXT_color_subtable):
	
						glaf_ColorSubTable
						glaf_CopyColorSubTable

	
	  Note that it's very important to call glaf_IsColorSubTableSupported *before* you use any of the 
	  above functions. Otherwise, if you use them and they're not supported, the application is 
	  likely to crash.
	*/
	if(GLB_current->glColorSubTablePtr==NULL)
		{
		return GL_FALSE;
		}
	return GL_TRUE;
	}


void	glaf_ColorSubTable( GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid *data )
	{
	GLB_current->glColorSubTablePtr( target, start, count, format, type, data );
	}
	
	
void	glaf_CopyColorSubTable( GLenum target, GLsizei start, GLint x, GLint y, GLsizei width )
	{
	GLB_current->glCopyColorSubTablePtr( target, start, x, y, width );
	}
	
	
