/* 
 * 
 * Copyright (c) 2001 Csar Blecua Udas    All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * CESAR BLECUA UDIAS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 * OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 */



/* Headers */
#include "public.h"


GLboolean	glaf_IsColorMatrixSupported(void)
	{
	/*It returns GL_TRUE if the color matrix feature is supported, or GL_FALSE otherwise.
	
	  Use is exactly the same as the GL_ARB_imaging color matrix extension, or the GL_SGI_color_matrix extension, but the names
	  of the enumerants follow GLAF syntax:

		  *For managing the color matrix, pass GLAF_COLOR to glMatrixMode().
		  
		  *For queries and color transfer stuff, use the following enumerants (equivalent to the GL_ARB_imaging and 
		   GL_SGI_color_matrix enumerants):
							GLAF_COLOR_MATRIX		
							GLAF_COLOR_MATRIX_STACK_DEPTH	
							GLAF_MAX_COLOR_MATRIX_STACK_DEPTH
							GLAF_POST_COLOR_MATRIX_RED_SCALE	
							GLAF_POST_COLOR_MATRIX_GREEN_SCALE	
							GLAF_POST_COLOR_MATRIX_BLUE_SCALE	
							GLAF_POST_COLOR_MATRIX_ALPHA_SCALE	
							GLAF_POST_COLOR_MATRIX_RED_BIAS		
							GLAF_POST_COLOR_MATRIX_GREEN_BIAS	
							GLAF_POST_COLOR_MATRIX_BLUE_BIAS	
							GLAF_POST_COLOR_MATRIX_ALPHA_BIAS	
	*/
	
	return GLB_current->IsColorMatrixSupported;
	}

	
