/* 
 * 
 * Copyright (c) 2001 Csar Blecua Udas    All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * CESAR BLECUA UDIAS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 * OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 */



/* Headers */
#include "public.h"


GLboolean	glaf_IsConvolutionBorderModesSupported(void)
	{
	/*It returns GL_TRUE if additional convolution border modes are supported, or GL_FALSE otherwise.
	
	  Use is exactly the same as the GL_ARB_imaging convolution border modes extension, or the GL_HP_convolution_border_modes 
	  extension, but the enumerants names follow GLAF syntax:
	
		GLAF_CONSTANT_BORDER		
		GLAF_REPLICATE_BORDER		
		GLAF_CONVOLUTION_BORDER_COLOR
	
	  If this function returns GL_FALSE, the above three enumerants would be unsupported, and their use would drive to undefined 
	  behaviour.
	
	  NOTA: Ver qu pasa con IGNORE_BORDER. Segn la especificacin de
	        GL_ARB_imaging, debera estar soportado.
	
	  If this function returns GL_TRUE, all three enumerants are usable, in the same fashion as in GL_ARB_imaging and
	  GL_HP_convolution_border_modes
	*/
	
	return GLB_current->IsConvolutionBorderModesSupported;
	}
	
