/* 
 * 
 * Copyright (c) 2001 Csar Blecua Udas    All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * CESAR BLECUA UDIAS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 * OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 */



/* Headers */
#include "private.h"
#include "convolution_border_modesP.h"


/*********************/
/* Private Interface */
/*********************/
void	_glaf_FillContextConvolutionBorderModes(struct GLAFST_context *ctx)
	{
	GLint		major,minor,release;
	
	glaf_OpenGLVersion(&major,&minor,&release);
	if((major>1)||(minor>1))
		{
		/*ARB_imaging requires OpenGL 1.2 or greater*/
		if(glaf_IsOpenGLExtensionSupported("GL_ARB_imaging"))
			{
			_glaf_Verbose("Convolution Border Modes: Using GL_ARB_imaging.");
			ctx->IsConvolutionBorderModesSupported=GL_TRUE;
			return;
			}
		}
	if(glaf_IsOpenGLExtensionSupported("GL_HP_convolution_border_modes"))
		{
		_glaf_Verbose("Convolution Border Modes: Using GL_HP_convolution_border_modes.");
		ctx->IsConvolutionBorderModesSupported=GL_TRUE;
		return;
		}
	_glaf_Verbose("Convolution Border Modes: Not Supported.");
	ctx->IsConvolutionBorderModesSupported=GL_FALSE;
	}

	
