/* 
 * 
 * Copyright (c) 2001 Csar Blecua Udas    All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * CESAR BLECUA UDIAS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 * OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 */

#ifndef __gl2glaf_h__
#define __gl2glaf_h__

/*texture objects*/
#define glGenTextures                   glaf_GenTextures
#define glDeleteTextures                glaf_DeleteTextures
#define glIsTexture                     glaf_IsTexture
#define glBindTexture                   glaf_BindTexture
#define glAreTexturesResident           glaf_AreTexturesResident
#define glPrioritizeTextures            glaf_PrioritizeTextures

/*subtexture*/
#define glTexSubImage1D                 glaf_TexSubImage1D
#define glTexSubImage2D                 glaf_TexSubImage2D

/*copy texture*/
#define glCopyTexImage1D                glaf_CopyTexImage1D
#define glCopyTexImage2D                glaf_CopyTexImage2D
#define glCopyTexSubImage1D             glaf_CopyTexSubImage1D
#define glCopyTexSubImage2D             glaf_CopyTexSubImage2D

/*blending extensions*/
#define glBlendColor                    glaf_BlendColor
#define glBlendEquation                 glaf_BlendEquation

/*polygon offset*/
#define glPolygonOffset                 glaf_PolygonOffset

/*convolution*/
#define glConvolutionFilter1D           glaf_ConvolutionFilter1D
#define glConvolutionFilter2D           glaf_ConvolutionFilter2D
#define glConvolutionParameterf         glaf_ConvolutionParameterf
#define glConvolutionParameterfv        glaf_ConvolutionParameterfv
#define glConvolutionParameteri         glaf_ConvolutionParameteri
#define glConvolutionParameteriv        glaf_ConvolutionParameteriv
#define glCopyConvolutionFilter1D       glaf_CopyConvolutionFilter1D
#define glCopyConvolutionFilter2D       glaf_CopyConvolutionFilter2D
#define glGetConvolutionFilter          glaf_GetConvolutionFilter
#define glGetConvolutionParameterfv     glaf_GetConvolutionParameterfv
#define glGetConvolutionParameteriv     glaf_GetConvolutionParameteriv
#define glSeparableFilter2D             glaf_SeparableFilter2D
#define glGetSeparableFilter            glaf_GetSeparableFilter

/*histogram*/
#define glHistogram                     glaf_Histogram
#define glResetHistogram                glaf_ResetHistogram
#define glGetHistogram                  glaf_GetHistogram
#define glGetHistogramParameterfv       glaf_GetHistogramParameterfv
#define glGetHistogramParameteriv       glaf_GetHistogramParameteriv
#define glMinmax                        glaf_Minmax
#define glResetMinmax                   glaf_ResetMinmax
#define glGetMinmax                     glaf_GetMinmax
#define glGetMinmaxParameterfv          glaf_GetMinmaxParameterfv
#define glGetMinmaxParameteriv          glaf_GetMinmaxParameteriv

/*color table*/
#define glColorTable                    glaf_ColorTable
#define glColorTableParameteriv         glaf_ColorTableParameteriv
#define glColorTableParameterfv         glaf_ColorTableParameterfv
#define glCopyColorTable                glaf_CopyColorTable
#define glGetColorTable                 glaf_GetColorTable
#define glGetColorTableParameterfv      glaf_GetColorTableParameterfv
#define glGetColorTableParameteriv      glaf_GetColorTableParameteriv

/*color subtable*/
#define glColorSubTable                 glaf_ColorSubTable
#define glCopyColorSubTable             glaf_CopyColorSubTable


#endif			/* __gl2glaf_h__ */
