/* 
 * 
 * Copyright (c) 2001 Csar Blecua Udas    All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * CESAR BLECUA UDIAS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 * OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 */



/* Headers */
#include "public.h"


GLboolean	glaf_IsPackedPixelsSupported(void)
	{
	/*It returns GL_TRUE if packed pixels are supported, or GL_FALSE otherwise.
	
	  Please note that GLAF doesn't support all the packed pixel formats available in OpenGL 1.2, in order to be compatible
	  with older versions, which support fewer formats (through the GL_EXT_packed_pixels extension).
	  
	  GLAF supports the following pixel types:
							GLAF_UNSIGNED_BYTE_3_3_2			
							GLAF_UNSIGNED_SHORT_4_4_4_4			
							GLAF_UNSIGNED_SHORT_5_5_5_1			
							GLAF_UNSIGNED_INT_8_8_8_8			
							GLAF_UNSIGNED_INT_10_10_10_2			
	*/
	
	return GLB_current->IsPackedPixelsSupported;
	}

