/* 
 * 
 * Copyright (c) 2001 Csar Blecua Udas    All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * CESAR BLECUA UDIAS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 * OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 */



/* Headers */
#include "private.h"
#include "polygon_offsetP.h"


/*********************/
/* Private Interface */
/*********************/
void	_glaf_FillContextPolygonOffset(struct GLAFST_context *ctx)
	{
	GLint		major,minor,release;
	
	glaf_OpenGLVersion(&major,&minor,&release);
	ctx->glPolygonOffsetPtr=NULL;
	ctx->CorePolygonOffset=GL_FALSE;
	if((major>1)||(minor>0))
		{
		/* OpenGL 1.1 or greater: We try to use OpenGL core functionality*/
		ctx->glPolygonOffsetPtr=(glPolygonOffsetProc)_glaf_LookupFunction("glPolygonOffset");
		if(ctx->glPolygonOffsetPtr!=NULL)
			{
			/*Success!!*/
			_glaf_Verbose("Polygon Offset: Supported by OpenGL Core.");
			ctx->CorePolygonOffset=GL_TRUE;
			return;
			}
		}
	/*Let's see if we can use GL_EXT_polygon_offset*/
	if(glaf_IsOpenGLExtensionSupported("GL_EXT_polygon_offset"))
		{
		/*It seems we can use GL_EXT_polygon_offset*/
		ctx->glPolygonOffsetPtr=(glPolygonOffsetProc)_glaf_LookupFunction("glPolygonOffsetEXT");
		if(ctx->glPolygonOffsetPtr!=NULL)
			{
			/*Success!!*/
			_glaf_Verbose("Polygon Offset: Using GL_EXT_polygon_offset.");
			return;
			}
		}
	/*Polygon Offset not supported*/
	_glaf_Verbose("Polygon Offset: Not Supported.");
	}

	
