/* 
 * 
 * Copyright (c) 2001 Csar Blecua Udas    All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * CESAR BLECUA UDIAS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 * OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 */



/* Headers */
#include "public.h"


GLboolean	glaf_IsSeparateSpecularColorSupported(void)
	{
	/*It returns GL_TRUE if the separate specular color feature is supported, or GL_FALSE otherwise.
	
	  Use is exactly the same as the GL_EXT_separate_specular_color extension and the OpenGL 1.2 core.
	
	  If this function returns GL_TRUE, you can use the following enumerants in glLightModel and glGet*,
	  just like described at the GL_EXT_separate_specular_color extension and the OpenGL 1.2 spec:

			GLAF_LIGHT_MODEL_COLOR_CONTROL			
			GLAF_SINGLE_COLOR				
			GLAF_SEPARATE_SPECULAR_COLOR			
  
	  NOTE: If this function returns GL_FALSE, don't try to use the above enumerants.
	*/
	return GLB_current->IsSeparateSpecularColorSupported;
	}

