/* 
 * 
 * Copyright (c) 2001 Csar Blecua Udas    All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * CESAR BLECUA UDIAS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 * OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 */


/* Headers */
#include "public.h"


GLboolean	glaf_IsSubTextureSupported(void)
	{
	/*It returns GL_TRUE if subtexture is supported, or GL_FALSE otherwise.
	
	  This feature is available through the following functions:
	  
	  			glaf_TexSubImage1D
				glaf_TexSubImage2D 
	  
	  
	  Note that it's very important to call glaf_IsSubtextureSupported *before* you use any of the 
	  above functions. Otherwise, if you use them and they're not supported, the application is 
	  likely to crash.

	  MACHINE DEPENDENCIES: Some vendors partially support this feature in some of their implementations. For example, some older
	  			Silicon Graphics workstations have limitations on subtexture alignment and mipmap reloading.
				You should read your system-specific manpages or vendor documentation to find out if such limitations
				exist for your implementation.
	*/
	if(GLB_current->glTexSubImage1DPtr==NULL)
		{
		return GL_FALSE;
		}
	return GL_TRUE;
	}
	
	
void	glaf_TexSubImage1D( GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels )
	{
	GLB_current->glTexSubImage1DPtr( target, level, xoffset, width, format, type, pixels );
	}
	
	
void	glaf_TexSubImage2D( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels )
	{
	GLB_current->glTexSubImage2DPtr( target, level, xoffset, yoffset, width, height, format, type, pixels );
	}
	
