/* 
 * 
 * Copyright (c) 2001 Csar Blecua Udas    All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * CESAR BLECUA UDIAS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 * OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 */


/* Headers */
#include "public.h"


GLboolean	glaf_IsTextureCubeMapSupported(void)
	{
	/*It returns GL_TRUE if the texture cube map feature is supported, or GL_FALSE otherwise.
	
	  Use is exactly the same as the GL_EXT_texture_cube_map and GL_ARB_texture_cube_map extensions.
	
	  If this function returns GL_TRUE, you can use the following enumerants just like described at 
	  the GL_EXT_texture_cube_map and GL_ARB_texture_cube_map documentation:

			GLAF_NORMAL_MAP				
			GLAF_REFLECTION_MAP			
			GLAF_TEXTURE_CUBE_MAP			
			GLAF_TEXTURE_BINDING_CUBE_MAP		
			GLAF_TEXTURE_CUBE_MAP_POSITIVE_X	
			GLAF_TEXTURE_CUBE_MAP_NEGATIVE_X	
			GLAF_TEXTURE_CUBE_MAP_POSITIVE_Y	
			GLAF_TEXTURE_CUBE_MAP_NEGATIVE_Y	
			GLAF_TEXTURE_CUBE_MAP_POSITIVE_Z	
			GLAF_TEXTURE_CUBE_MAP_NEGATIVE_Z	
			GLAF_PROXY_TEXTURE_CUBE_MAP		
			GLAF_MAX_CUBE_MAP_TEXTURE_SIZE		
  
	  NOTE: If this function returns GL_FALSE, don't try to use the above enumerants.
	*/
	return GLB_current->IsTextureCubeMapSupported;
	}

