/* 
 * 
 * Copyright (c) 2001 Csar Blecua Udas    All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * CESAR BLECUA UDIAS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 * OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 */


/* Headers */
#include "private.h"
#include "texture_cube_mapP.h"


/*********************/
/* Private Interface */
/*********************/
void	_glaf_FillContextTextureCubeMap(struct GLAFST_context *ctx)
	{
	GLint		major,minor,release;
	
	glaf_OpenGLVersion(&major,&minor,&release);
	if((major>1)||(minor>2))
		{
		/*OpenGL 1.3 or higher: core feature*/
		_glaf_Verbose("Texture Cube Map: Supported by OpenGL Core.");
		ctx->IsTextureCubeMapSupported=GL_TRUE;
		return;
		}
	if(glaf_IsOpenGLExtensionSupported("GL_ARB_texture_cube_map"))
		{
		_glaf_Verbose("Texture Cube Map: Using GL_ARB_texture_cube_map.");
		ctx->IsTextureCubeMapSupported=GL_TRUE;
		return;
		}
	if(glaf_IsOpenGLExtensionSupported("GL_EXT_texture_cube_map"))
		{
		_glaf_Verbose("Texture Cube Map: Using GL_EXT_texture_cube_map.");
		ctx->IsTextureCubeMapSupported=GL_TRUE;
		return;
		}
	_glaf_Verbose("Texture Cube Map: Not Supported.");
	ctx->IsTextureCubeMapSupported=GL_FALSE;
	}

