/* 
 * 
 * Copyright (c) 2001 Csar Blecua Udas    All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * CESAR BLECUA UDIAS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 * OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 */


/* Headers */
#include "public.h"


GLboolean	glaf_IsTextureFormatsSupported(void)
	{
	/*It returns GL_TRUE if the texture formats of GL_EXT_texture (or OpenGL 1.1 and higher) are supported, or GL_FALSE otherwise.
	
	  These GLAF enumerants can be used if this function returns GL_TRUE:
	  
				GLAF_ALPHA4					
				GLAF_ALPHA8					
				GLAF_ALPHA12					
				GLAF_ALPHA16					
				GLAF_LUMINANCE4					
				GLAF_LUMINANCE8					
				GLAF_LUMINANCE12				
				GLAF_LUMINANCE16				
				GLAF_LUMINANCE4_ALPHA4				
				GLAF_LUMINANCE6_ALPHA2				
				GLAF_LUMINANCE8_ALPHA8				
				GLAF_LUMINANCE12_ALPHA4				
				GLAF_LUMINANCE12_ALPHA12			
				GLAF_LUMINANCE16_ALPHA16			
				GLAF_INTENSITY					
				GLAF_INTENSITY4					
				GLAF_INTENSITY8					
				GLAF_INTENSITY12				
				GLAF_INTENSITY16				
				GLAF_RGB4					
				GLAF_RGB5					
				GLAF_RGB8					
				GLAF_RGB10					
				GLAF_RGB12					
				GLAF_RGB16					
				GLAF_RGBA2					
				GLAF_RGBA4					
				GLAF_RGB5_A1					
				GLAF_RGBA8					
				GLAF_RGB10_A2					
				GLAF_RGBA12					
				GLAF_RGBA16					
				GLAF_TEXTURE_RED_SIZE				
				GLAF_TEXTURE_GREEN_SIZE				
				GLAF_TEXTURE_BLUE_SIZE				
				GLAF_TEXTURE_ALPHA_SIZE				
				GLAF_TEXTURE_LUMINANCE_SIZE			
				GLAF_TEXTURE_INTENSITY_SIZE			
				GLAF_PROXY_TEXTURE_1D				
				GLAF_PROXY_TEXTURE_2D	
	
	IMPORTANT: There're some enumerants of GL_EXT_texture that are not supported by GLAF yet: GL_RGB2_EXT, GL_REPLACE_EXT, 
		   and TEXTURE_TOO_LARGE_EXT. The reason is some of them were dropped or their numeric values modified 
		   when GL_EXT_texture was merged into the OpenGL 1.1 core. If you really need any of them, contact the GLAF
		   developers. Since GL_REPLACE_EXT is not supported, the "texture replace" environment mode is not supported. Note 
		   that the same functionality can be achieved modulating unlit white geometry.

	
	*/
	
	return GLB_current->IsTextureFormatsSupported;
	}

	
