/* 
 * 
 * Copyright (c) 2001 Csar Blecua Udas    All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * CESAR BLECUA UDIAS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 * OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 */


/* Headers */
#include "private.h"
#include "texture_formatsP.h"


/*********************/
/* Private Interface */
/*********************/
void	_glaf_FillContextTextureFormats(struct GLAFST_context *ctx)
	{
	GLint		major,minor,release;
	
	glaf_OpenGLVersion(&major,&minor,&release);
	if((major>1)||(minor>0))
		{
		/*OpenGL 1.1 or greater supports this natively*/
		_glaf_Verbose("Texture Formats: Supported by OpenGL Core.");
		ctx->IsTextureFormatsSupported=GL_TRUE;
		}
	else
		{
		if(glaf_IsOpenGLExtensionSupported("GL_EXT_texture"))
			{
			_glaf_Verbose("Texture Formats: Using GL_EXT_texture.");
			ctx->IsTextureFormatsSupported=GL_TRUE;
			}
		else
			{
			_glaf_Verbose("Texture Formats: Not Supported.");
			ctx->IsTextureFormatsSupported=GL_FALSE;
			}
		}
	}

	
